Billing

Verify org-level plan payment

**Org plan payment flow — Step 3.** Call after the user completes payment (redirect or webhook). Pass tx_ref (or reference) from the payment redirect. Updates org plan and billing; idempotent. No auth required (redirect callback can call this).

AuthPublic
GroupBilling
Rate limitSee Rate Limits
POST/api/billing/org/verify-payment

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.verifyOrgPlanPayment();
const { data: result } = await billing.verifyOrgPlanPayment();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Query Parameters

NameTypeRequiredDescription
tx_refstringNoPayment reference (mudbase_org_...) from checkout redirect
referencestringNoAlias for tx_ref

Responses

200Payment verified and org plan updated
json
{
  "success": true,
  "message": "Stylish Keyboard designed to make you stand out with lively looks",
  "data": {
    "plan": "transmitter synthesize",
    "billingCycle": "alarm parse",
    "orgId": "org_P58XwbHAcz"
  }
}
{
  "success": true,
  "message": "Stylish Keyboard designed to make you stand out with lively looks",
  "data": {
    "plan": "transmitter synthesize",
    "billingCycle": "alarm parse",
    "orgId": "org_P58XwbHAcz"
  }
}
400tx_ref required, invalid reference, or payment verification failed

Errors

CodeMeaning
400tx_ref required, invalid reference, or payment verification failed
Edit this page on GitHub